---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Class List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here are the classes, structs, unions and interfaces with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespacetgui.html" target="_self">tgui</a></td><td class="desc">Namespace that contains all TGUI functions and classes </td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1BaseTheme.html" target="_self">BaseTheme</a></td><td class="desc">Base class for the <a class="el" href="classtgui_1_1Theme.html" title="Default Theme class. ">Theme</a> classes </td></tr>
<tr id="row_0_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1BaseThemeLoader.html" target="_self">BaseThemeLoader</a></td><td class="desc">Base class for theme loader implementations </td></tr>
<tr id="row_0_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Borders.html" target="_self">Borders</a></td><td class="desc"></td></tr>
<tr id="row_0_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1BoxLayout.html" target="_self">BoxLayout</a></td><td class="desc">Abstract class for box layout containers </td></tr>
<tr id="row_0_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Button.html" target="_self">Button</a></td><td class="desc"><a class="el" href="classtgui_1_1Button.html" title="Button widget. ">Button</a> widget </td></tr>
<tr id="row_0_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ButtonRenderer.html" target="_self">ButtonRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_6_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structtgui_1_1Callback.html" target="_self">Callback</a></td><td class="desc"></td></tr>
<tr id="row_0_7_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Canvas.html" target="_self">Canvas</a></td><td class="desc"></td></tr>
<tr id="row_0_8_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_8_" class="arrow" onclick="toggleFolder('0_8_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ChatBox.html" target="_self">ChatBox</a></td><td class="desc"></td></tr>
<tr id="row_0_8_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structtgui_1_1ChatBox_1_1Line.html" target="_self">Line</a></td><td class="desc"></td></tr>
<tr id="row_0_9_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ChatBoxRenderer.html" target="_self">ChatBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_10_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1CheckBox.html" target="_self">CheckBox</a></td><td class="desc"><a class="el" href="classtgui_1_1CheckBox.html" title="CheckBox widget. ">CheckBox</a> widget </td></tr>
<tr id="row_0_11_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1CheckBoxRenderer.html" target="_self">CheckBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_12_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ChildWindow.html" target="_self">ChildWindow</a></td><td class="desc">Child window widget </td></tr>
<tr id="row_0_13_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ChildWindowRenderer.html" target="_self">ChildWindowRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_14_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ClickableWidget.html" target="_self">ClickableWidget</a></td><td class="desc">Clickable widget </td></tr>
<tr id="row_0_15_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Clipboard.html" target="_self">Clipboard</a></td><td class="desc"></td></tr>
<tr id="row_0_16_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Clipping.html" target="_self">Clipping</a></td><td class="desc"></td></tr>
<tr id="row_0_17_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Color.html" target="_self">Color</a></td><td class="desc">Implicit converter for colors </td></tr>
<tr id="row_0_18_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ComboBox.html" target="_self">ComboBox</a></td><td class="desc">Combo box widget </td></tr>
<tr id="row_0_19_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ComboBoxRenderer.html" target="_self">ComboBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_20_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Container.html" target="_self">Container</a></td><td class="desc"><a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a> widget </td></tr>
<tr id="row_0_21_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1DefaultThemeLoader.html" target="_self">DefaultThemeLoader</a></td><td class="desc">Default implementation for theme loading </td></tr>
<tr id="row_0_22_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Deserializer.html" target="_self">Deserializer</a></td><td class="desc">Deserialize an settable property </td></tr>
<tr id="row_0_23_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_23_" class="arrow" onclick="toggleFolder('0_23_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1EditBox.html" target="_self">EditBox</a></td><td class="desc">Edit box widget </td></tr>
<tr id="row_0_23_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structtgui_1_1EditBox_1_1Validator.html" target="_self">Validator</a></td><td class="desc">Predefined input validators </td></tr>
<tr id="row_0_24_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1EditBoxRenderer.html" target="_self">EditBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_25_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Exception.html" target="_self">Exception</a></td><td class="desc"></td></tr>
<tr id="row_0_26_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Font.html" target="_self">Font</a></td><td class="desc"></td></tr>
<tr id="row_0_27_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Grid.html" target="_self">Grid</a></td><td class="desc"></td></tr>
<tr id="row_0_28_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Gui.html" target="_self">Gui</a></td><td class="desc"><a class="el" href="classtgui_1_1Gui.html" title="Gui class. ">Gui</a> class </td></tr>
<tr id="row_0_29_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1HorizontalLayout.html" target="_self">HorizontalLayout</a></td><td class="desc"><a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a> that automatically resizes children to fit the entire available space between children </td></tr>
<tr id="row_0_30_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Knob.html" target="_self">Knob</a></td><td class="desc"><a class="el" href="classtgui_1_1Knob.html" title="Knob widget. ">Knob</a> widget </td></tr>
<tr id="row_0_31_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1KnobRenderer.html" target="_self">KnobRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_32_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Label.html" target="_self">Label</a></td><td class="desc"><a class="el" href="classtgui_1_1Label.html" title="Label widget. ">Label</a> widget </td></tr>
<tr id="row_0_33_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1LabelRenderer.html" target="_self">LabelRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_34_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Layout.html" target="_self">Layout</a></td><td class="desc">Class to store the left, top, width or height of a widget </td></tr>
<tr id="row_0_35_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Layout2d.html" target="_self">Layout2d</a></td><td class="desc">Class to store the position or size of a widget </td></tr>
<tr id="row_0_36_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ListBox.html" target="_self">ListBox</a></td><td class="desc">List box widget </td></tr>
<tr id="row_0_37_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ListBoxRenderer.html" target="_self">ListBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_38_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_38_" class="arrow" onclick="toggleFolder('0_38_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1MenuBar.html" target="_self">MenuBar</a></td><td class="desc"><a class="el" href="structtgui_1_1MenuBar_1_1Menu.html">Menu</a> bar widget </td></tr>
<tr id="row_0_38_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structtgui_1_1MenuBar_1_1Menu.html" target="_self">Menu</a></td><td class="desc"></td></tr>
<tr id="row_0_39_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1MenuBarRenderer.html" target="_self">MenuBarRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_40_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1MessageBox.html" target="_self">MessageBox</a></td><td class="desc">Message box widget </td></tr>
<tr id="row_0_41_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1MessageBoxRenderer.html" target="_self">MessageBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_42_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ObjectConverter.html" target="_self">ObjectConverter</a></td><td class="desc">Implicit converter for settable properties </td></tr>
<tr id="row_0_43_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Panel.html" target="_self">Panel</a></td><td class="desc"><a class="el" href="classtgui_1_1Panel.html" title="Panel widget. ">Panel</a> widget </td></tr>
<tr id="row_0_44_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1PanelRenderer.html" target="_self">PanelRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_45_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Picture.html" target="_self">Picture</a></td><td class="desc"><a class="el" href="classtgui_1_1Picture.html" title="Picture widget. ">Picture</a> widget </td></tr>
<tr id="row_0_46_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ProgressBar.html" target="_self">ProgressBar</a></td><td class="desc">Progress bar widget </td></tr>
<tr id="row_0_47_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ProgressBarRenderer.html" target="_self">ProgressBarRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_48_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1RadioButton.html" target="_self">RadioButton</a></td><td class="desc">Radio button widget </td></tr>
<tr id="row_0_49_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1RadioButtonRenderer.html" target="_self">RadioButtonRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_50_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Scrollbar.html" target="_self">Scrollbar</a></td><td class="desc"><a class="el" href="classtgui_1_1Scrollbar.html" title="Scrollbar widget. ">Scrollbar</a> widget </td></tr>
<tr id="row_0_51_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ScrollbarRenderer.html" target="_self">ScrollbarRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_52_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Serializer.html" target="_self">Serializer</a></td><td class="desc">Serialize an settable property </td></tr>
<tr id="row_0_53_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Signal.html" target="_self">Signal</a></td><td class="desc"></td></tr>
<tr id="row_0_54_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1SignalWidgetBase.html" target="_self">SignalWidgetBase</a></td><td class="desc">Base class for widgets to enable signal handling </td></tr>
<tr id="row_0_55_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Slider.html" target="_self">Slider</a></td><td class="desc"><a class="el" href="classtgui_1_1Slider.html" title="Slider widget. ">Slider</a> widget </td></tr>
<tr id="row_0_56_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1SliderRenderer.html" target="_self">SliderRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_57_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1SpinButton.html" target="_self">SpinButton</a></td><td class="desc">Spin button widget </td></tr>
<tr id="row_0_58_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1SpinButtonRenderer.html" target="_self">SpinButtonRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_59_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Tab.html" target="_self">Tab</a></td><td class="desc"><a class="el" href="classtgui_1_1Tab.html" title="Tab widget. ">Tab</a> widget </td></tr>
<tr id="row_0_60_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1TabRenderer.html" target="_self">TabRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_61_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1TextBox.html" target="_self">TextBox</a></td><td class="desc">Text box widget </td></tr>
<tr id="row_0_62_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1TextBoxRenderer.html" target="_self">TextBoxRenderer</a></td><td class="desc"></td></tr>
<tr id="row_0_63_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Texture.html" target="_self">Texture</a></td><td class="desc"></td></tr>
<tr id="row_0_64_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1TextureManager.html" target="_self">TextureManager</a></td><td class="desc"></td></tr>
<tr id="row_0_65_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Theme.html" target="_self">Theme</a></td><td class="desc">Default <a class="el" href="classtgui_1_1Theme.html" title="Default Theme class. ">Theme</a> class </td></tr>
<tr id="row_0_66_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1ToolTip.html" target="_self">ToolTip</a></td><td class="desc">Interface to set the settings for the tool tips </td></tr>
<tr id="row_0_67_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Transformable.html" target="_self">Transformable</a></td><td class="desc"></td></tr>
<tr id="row_0_68_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1VerticalLayout.html" target="_self">VerticalLayout</a></td><td class="desc"><a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a> that automatically resizes children to fit the entire available space between children </td></tr>
<tr id="row_0_69_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1Widget.html" target="_self">Widget</a></td><td class="desc">The parent class for every widget </td></tr>
<tr id="row_0_70_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1WidgetBorders.html" target="_self">WidgetBorders</a></td><td class="desc">Parent class for every widget that has borders </td></tr>
<tr id="row_0_71_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1WidgetConverter.html" target="_self">WidgetConverter</a></td><td class="desc">Implicit converter for widgets returned by the load function of the theme </td></tr>
<tr id="row_0_72_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1WidgetLoader.html" target="_self">WidgetLoader</a></td><td class="desc">Class to load widgets from a text file </td></tr>
<tr id="row_0_73_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1WidgetPadding.html" target="_self">WidgetPadding</a></td><td class="desc">Parent class for every widget that has padding </td></tr>
<tr id="row_0_74_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1WidgetRenderer.html" target="_self">WidgetRenderer</a></td><td class="desc">Base class for all renderer classes </td></tr>
<tr id="row_0_75_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classtgui_1_1WidgetSaver.html" target="_self">WidgetSaver</a></td><td class="desc">Class to save widgets to a text file </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:46 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
